package jp.ac.takushoku_u.cs;

/**
* NegativeMatrixSizeExceptionクラスは負のサイズを持つマトリクスを、
* 生成しようとしたことを示すためにスローされます。
* @version 1.1
* @author 笠島 裕史(Kasajima Hiroshi)
*/
/*
* 最終更新日 2004年11月12日
*/

public class NegativeMatrixSizeException extends MatrixException{

/**
* メッセージを持たない NegativeMatrixSizeException を構築します。
*/
	public NegativeMatrixSizeException(){
		super();
	}
	
/**
* 指定した詳細メッセージを持つ NegativeMatrixSizeException を構築します。
* @param s 詳細メッセージ
*/
	public NegativeMatrixSizeException(String s){
		super(s);
	}
}